org.apache.axiom.soap.impl.builder

## Interface SOAPFactoryEx

- All Superinterfaces:
    OMFactory, OMFactoryEx, SOAPFactory
  All Known Subinterfaces:
    SOAP12FactoryEx

      public interface SOAPFactoryEx
      extends SOAPFactory, OMFactoryEx

  Interface that is used internally by Axiom and that should not be considered being part of the public API.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SOAPBody` | `createSOAPBody(SOAPEnvelope envelope, OMXMLParserWrapper builder)`
    `SOAPEnvelope` | `createSOAPEnvelope(SOAPMessage message, OMXMLParserWrapper builder)`
    `SOAPFault` | `createSOAPFault(SOAPBody parent, OMXMLParserWrapper builder)`
    `SOAPFaultCode` | `createSOAPFaultCode(SOAPFault parent, OMXMLParserWrapper builder)` Code eii under SOAPFault (parent)
    `SOAPFaultDetail` | `createSOAPFaultDetail(SOAPFault parent, OMXMLParserWrapper builder)` Role eii under SOAPFault (parent)
    `SOAPFaultReason` | `createSOAPFaultReason(SOAPFault parent, OMXMLParserWrapper builder)` Reason eii under SOAPFault (parent)
    `SOAPFaultRole` | `createSOAPFaultRole(SOAPFault parent, OMXMLParserWrapper builder)` Role eii under SOAPFault (parent)
    `SOAPHeader` | `createSOAPHeader(SOAPEnvelope envelope, OMXMLParserWrapper builder)`
    `SOAPHeaderBlock` | `createSOAPHeaderBlock(String localName, SOAPHeader parent, OMXMLParserWrapper builder)`
    `SOAPMessage` | `createSOAPMessage(OMXMLParserWrapper builder)`

    - ### Methods inherited from interface org.apache.axiom.soap.SOAPFactory

      `createDefaultSOAPMessage, createSOAPBody, createSOAPBody, createSOAPEnvelope, createSOAPEnvelope, createSOAPFault, createSOAPFault, createSOAPFault, createSOAPFaultCode, createSOAPFaultCode, createSOAPFaultDetail, createSOAPFaultDetail, createSOAPFaultNode, createSOAPFaultNode, createSOAPFaultReason, createSOAPFaultReason, createSOAPFaultRole, createSOAPFaultRole, createSOAPFaultSubCode, createSOAPFaultSubCode, createSOAPFaultSubCode, createSOAPFaultText, createSOAPFaultText, createSOAPFaultValue, createSOAPFaultValue, createSOAPFaultValue, createSOAPHeader, createSOAPHeader, createSOAPHeaderBlock, createSOAPHeaderBlock, createSOAPHeaderBlock, createSOAPHeaderBlock, createSOAPMessage, getDefaultEnvelope, getDefaultFaultEnvelope, getNamespace, getSOAPVersion, getSoapVersionURI`

    - ### Methods inherited from interface org.apache.axiom.om.impl.builder.OMFactoryEx

      `createOMComment, createOMDocType, createOMDocument, createOMElement, createOMEntityReference, createOMProcessingInstruction, createOMText, createOMText, importNode`

    - ### Methods inherited from interface org.apache.axiom.om.OMFactory

      `createOMAttribute, createOMComment, createOMDocType, createOMDocument, createOMElement, createOMElement, createOMElement, createOMElement, createOMElement, createOMElement, createOMElement, createOMElement, createOMEntityReference, createOMNamespace, createOMProcessingInstruction, createOMText, createOMText, createOMText, createOMText, createOMText, createOMText, createOMText, createOMText, createOMText, createOMText, createOMText, createOMText, getMetaFactory`

- - ### Method Detail

    - #### createSOAPMessage

          SOAPMessage createSOAPMessage(OMXMLParserWrapper builder)

      Specified by:
        `createSOAPMessage` in interface `SOAPFactory`

    - #### createSOAPEnvelope

          SOAPEnvelope createSOAPEnvelope(SOAPMessage message,
                                          OMXMLParserWrapper builder)

    - #### createSOAPHeader

          SOAPHeader createSOAPHeader(SOAPEnvelope envelope,
                                      OMXMLParserWrapper builder)

      Parameters:
        `envelope` -
        `builder` -
      Returns:
        Returns SOAPHeader.

    - #### createSOAPHeaderBlock

          SOAPHeaderBlock createSOAPHeaderBlock(String localName,
                                                SOAPHeader parent,
                                                OMXMLParserWrapper builder)
                                         throws SOAPProcessingException

      Parameters:
        `localName` -
        `parent` -
        `builder` -
      Returns:
        Returns SOAPHeaderBlock.
      Throws:
        `SOAPProcessingException`

    - #### createSOAPFault

          SOAPFault createSOAPFault(SOAPBody parent,
                                    OMXMLParserWrapper builder)

      Parameters:
        `parent` -
        `builder` -
      Returns:
        Returns SOAPFault.

    - #### createSOAPBody

          SOAPBody createSOAPBody(SOAPEnvelope envelope,
                                  OMXMLParserWrapper builder)

      Parameters:
        `envelope` -
        `builder` -
      Returns:
        Returns SOAPBody.

    - #### createSOAPFaultCode

          SOAPFaultCode createSOAPFaultCode(SOAPFault parent,
                                            OMXMLParserWrapper builder)

      Code eii under SOAPFault (parent)
      Parameters:
        `parent` -
        `builder` -
      Returns:
        Returns SOAPFaultCode.

    - #### createSOAPFaultReason

          SOAPFaultReason createSOAPFaultReason(SOAPFault parent,
                                                OMXMLParserWrapper builder)

      Reason eii under SOAPFault (parent)
      Parameters:
        `parent` -
        `builder` -
      Returns:
        Returns SOAPFaultReason.

    - #### createSOAPFaultRole

          SOAPFaultRole createSOAPFaultRole(SOAPFault parent,
                                            OMXMLParserWrapper builder)

      Role eii under SOAPFault (parent)
      Parameters:
        `parent` -
        `builder` -
      Returns:
        Returns SOAPFaultRole.

    - #### createSOAPFaultDetail

          SOAPFaultDetail createSOAPFaultDetail(SOAPFault parent,
                                                OMXMLParserWrapper builder)

      Role eii under SOAPFault (parent)
      Parameters:
        `parent` -
        `builder` -
      Returns:
        Returns SOAPFaultDetail.

Copyright © The Apache Software Foundation. All Rights Reserved.